package com.ruoyi.project.process.controller.export;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 临时MOC - 带压消漏清单导出字段
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/02/22 14:17:12
 */
public class Aquifier extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** MOC编号 */
    @Excel(name = "MOC编号")
    private String mocNo;

    /** 公司MOC编号 */
    @Excel(name = "公司MOC编号")
    private String companyMocNo;

    /** 工艺单元 */
    @Excel(name = "工艺单元")
    private String processUnit;

    /** 部门 */
    @Excel(name = "部门")
    private String department;

    /** 泄露位置 */
    @Excel(name = "泄露位置")
    private String leakLocation;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 操作压力 */
    @Excel(name = "操作压力")
    private String pressure;

    /** 操作温度 */
    @Excel(name = "操作温度")
    private String temperature;

    /** 泄露介质 */
    @Excel(name = "泄露介质")
    private String leakFluid;

    /** 介质类型 */
    @Excel(name = "介质类型")
    private String materialType;

    /** 方案日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "方案日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planDate;

    /** 堵漏日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "堵漏日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sealDate;

    /** 第一次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第一次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention1;

    /** 第二次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第二次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention2;

    /** 第三次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第三次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention3;

    /** 第四次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第四次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention4;

    /** 第五次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第五次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention5;

    /** 第六次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第六次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention6;

    /** 第七次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第七次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention7;

    /** 第八次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第八次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention8;

    /** 第九次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第九次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention9;

    /** 卡具状态 */
    @Excel(name = "卡具状态")
    private String status;

    /** 移除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "移除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date removeTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getMocNo() {
        return mocNo;
    }

    public void setMocNo(String mocNo) {
        this.mocNo = mocNo;
    }

    public String getCompanyMocNo() {
        return companyMocNo;
    }

    public void setCompanyMocNo(String companyMocNo) {
        this.companyMocNo = companyMocNo;
    }

    public String getProcessUnit() {
        return processUnit;
    }

    public void setProcessUnit(String processUnit) {
        this.processUnit = processUnit;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getLeakLocation() {
        return leakLocation;
    }

    public void setLeakLocation(String leakLocation) {
        this.leakLocation = leakLocation;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPressure() {
        return pressure;
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getLeakFluid() {
        return leakFluid;
    }

    public void setLeakFluid(String leakFluid) {
        this.leakFluid = leakFluid;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public Date getPlanDate() {
        return planDate;
    }

    public void setPlanDate(Date planDate) {
        this.planDate = planDate;
    }

    public Date getSealDate() {
        return sealDate;
    }

    public void setSealDate(Date sealDate) {
        this.sealDate = sealDate;
    }

    public Date getExtention1() {
        return extention1;
    }

    public void setExtention1(Date extention1) {
        this.extention1 = extention1;
    }

    public Date getExtention2() {
        return extention2;
    }

    public void setExtention2(Date extention2) {
        this.extention2 = extention2;
    }

    public Date getExtention3() {
        return extention3;
    }

    public void setExtention3(Date extention3) {
        this.extention3 = extention3;
    }

    public Date getExtention4() {
        return extention4;
    }

    public void setExtention4(Date extention4) {
        this.extention4 = extention4;
    }

    public Date getExtention5() {
        return extention5;
    }

    public void setExtention5(Date extention5) {
        this.extention5 = extention5;
    }

    public Date getExtention6() {
        return extention6;
    }

    public void setExtention6(Date extention6) {
        this.extention6 = extention6;
    }

    public Date getExtention7() {
        return extention7;
    }

    public void setExtention7(Date extention7) {
        this.extention7 = extention7;
    }

    public Date getExtention8() {
        return extention8;
    }

    public void setExtention8(Date extention8) {
        this.extention8 = extention8;
    }

    public Date getExtention9() {
        return extention9;
    }

    public void setExtention9(Date extention9) {
        this.extention9 = extention9;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getRemoveTime() {
        return removeTime;
    }

    public void setRemoveTime(Date removeTime) {
        this.removeTime = removeTime;
    }
}
